Create subscription
Use the POST /v3/customers/<customer-id>/subscriptions endpoint to create new subscriptions.
/v3/customers/<customer-id>/subscriptionsNote: Adobe Commerce Partner APIs do not allow creating subscriptions for consumable items, including Adobe Stock credit packs and Adobe Sign transactions.
Usage instructions
-
The
Enabledflag can only be set totrue -
The
renewalQuantityfield is mandatory for the subscription creation -
Creation of subscription is allowed only when a customer intends to add a product (that they are not currently subscribed to) during the next auto-renewal.
-
Discount level is calculated and applied on the anniversary date with Renewal order. The subscription becomes active with success renewal.
-
Customers with no active subscriptions are not allowed to create subscription
-
Eligibility checks are evaluated while accepting the create request
-
Creating a subscription is allowed only during current date is between 30 days prior to anniversary date to 3 days prior to anniversary date.
-
Global customers can create subscriptions. To do so, they need to include the
currencyCodein their request. For subscriptions outside the customer’s home country, bothcurrencyCodeanddeploymentIDmust be included in the request. -
The
flexDiscountCodesparameter indicates the flexible discounts applicable for the subscription. For more information, see Manage Flexible Discounts using APIs.
Request header
Bearer <token>Request body
{
"offerId": "65304470CA01012",
"autoRenewal": {
"enabled": true,
"renewalQuantity": 100,
"renewalCode": "MOQ_100",
"flexDiscountCodes": ["ABCD-XV54-HG34-78YT"]
}
}
Note: The renewalCode parameter indicates the the Minimum Order Quantity Offer. For more information, see Manage High Growth Offers through APIs.
For global customers to create subscriptions outside the customer’s home country, both currencyCode and deploymentID must be included in the request, as illustrated in the following example:
{
"offerId": "65304481CA01A12",
"autoRenewal": {
"enabled": true,
"renewalQuantity": 20,
"renewalCode": "MOQ_100",
"flexDiscountCodes": ["ABCD-XV54-HG34-78YT"]
},
"deploymentId": "PR1400001758",
"currencyCode": "JPY"
}
Response body
{
"subscriptionId": "bb9daad8bc4354a4b38006b75704ceNA",
"offerId": "65304470CA01012",
"currentQuantity": 0,
"autoRenewal": {
"enabled": true,
"renewalQuantity": 100,
"renewalCode": "MOQ_100",
"flexDiscountCodes": ["ABCD-XV54-HG34-78YT"]
},
"creationDate": "2024-07-11T02:42:15Z",
"renewalDate": "2025-04-25",
"status": "1009",
"links": {
"self": {
"uri": "/v3/customers/P1005053489/subscriptions/bb9daad8bc4354a4b38006b75704ceNA",
"method": "GET",
"headers": []
}
}
}